package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.MsgSendQueueHisMapper;
import com.sa.ibiz.demo.demo.domain.MsgSendQueueHis;
import com.sa.ibiz.demo.demo.service.MsgSendQueueHisService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.MsgSendQueueHisSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[MsgSendQueueHis] 服务对象接口实现
 */
@Service
public class MsgSendQueueHisServiceImpl extends ServiceImplBase<MsgSendQueueHisMapper, MsgSendQueueHis> implements MsgSendQueueHisService{


    @Resource
    private MsgSendQueueHisMapper msgsendqueuehisMapper;


    @Override
    public boolean create(MsgSendQueueHis et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(MsgSendQueueHis et){
        this.beforeUpdate(et);
		this.msgsendqueuehisMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(MsgSendQueueHis et){
		return et.getMsgsendqueuehisid();  
    }

    @Override
    public boolean getDraft(MsgSendQueueHis et)  {
            return true;
    }

	public List<MsgSendQueueHis> listDefault(MsgSendQueueHisSearchFilter filter) {
		return msgsendqueuehisMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<MsgSendQueueHis> searchDefault(MsgSendQueueHisSearchFilter filter) {
		return msgsendqueuehisMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return msgsendqueuehisMapper.selectRow(sql);
    }

 }